Skip to navigation

Update Connection

Updates a connection's configuration.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
Connection ID

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
configurationmap from strings to anyRequired
namestringRequired
healthcheck_intervalstringOptional
Override interval for connection health checking
organization_idstring or nullOptionalformat: "uuid"

Ignored for user and organization-scoped API keys, which always act in their own organization

policieslist of strings or nullOptional

Permissions policy IDs applied to the connection. A non-empty list replaces the connection’s policies and an empty or omitted list leaves them unchanged.

reconnectbooleanOptional
validatebooleanOptionalDefaults to true
Validate connection configuration.
typestringOptionalDeprecated
Ignored. A connection's type is fixed at creation.

Response

OK
dataobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error